Textpattern CMS support forum

You are not logged in. Register | Login | Help

#41 2008-12-09 19:23:49

ChrisArchitect
Member
From: Canada
Registered: 2007-06-20
Posts: 25

Re: [plugin] [ORPHAN] cnk_versioning

restored db to save myself from impending doom there after the accidental overwrite …….wish I knew why that happened though!

any ideas about where the files were going/if they existed/how to prevent database clearing?

Offline

#42 2008-12-11 20:41:44

ChrisArchitect
Member
From: Canada
Registered: 2007-06-20
Posts: 25

Re: [plugin] [ORPHAN] cnk_versioning

Can anyone confirm that this works with 4.0.7 ?

cause I’m still having a terrible time with it …

Offline

#43 2008-12-11 21:58:17

sthmtc
Member
From: CGN, GER
Registered: 2005-01-17
Posts: 586
Website

Re: [plugin] [ORPHAN] cnk_versioning

Afair PHP 5 is required for this one. Either that or there’s a problem with your paths and/or permissions. No problems here, running 4.0.7…

Offline

#44 2008-12-12 02:36:41

smdnetau
Member
From: Sydney
Registered: 2008-10-09
Posts: 52
Website

Re: [plugin] [ORPHAN] cnk_versioning

No problems running under 4.0.7 except for permissions issues. It writes the files perfectly but there’s no way to change the permissions (or owners) once it’s done so. On a local setup this isn’t an issue but I just can’t get around on this on my host – a bog-standard linux setup. BTW: I love this plugin.

Last edited by smdnetau (2008-12-12 02:37:18)

Offline

#45 2008-12-12 17:14:49

ChrisArchitect
Member
From: Canada
Registered: 2007-06-20
Posts: 25

Re: [plugin] [ORPHAN] cnk_versioning

sthmtc wrote:

Afair PHP 5 is required for this one. Either that or there’s a problem with your paths and/or permissions. No problems here, running 4.0.7…

oh dear! if the php 5 issue is what’s been bogging me down …DOH

Offline

#46 2009-02-19 21:24:26

the_ghost
Plugin Author
From: Minsk, The Republic of Belarus
Registered: 2007-07-26
Posts: 907
Website

Re: [plugin] [ORPHAN] cnk_versioning

Spent an hour untill didn’t checked this thread and recognized – it doesn’t work in php4 :( Does supporting for php4 needs a lot of code rewrite?


Providing help in hacking ATM! Come to courses and don’t forget to bring us notebook and hammer! What for notebook? What a kind of hacker you are without notebok?

Offline

#47 2009-02-19 21:48:03

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 985
Website

Re: [plugin] [ORPHAN] cnk_versioning

I forgot that it doesn’t work in PHP4 too— and I have two installations running PHP 4.3.10-22 that use this plugin without any problems. I don’t know why, it’s just working.

Edit: I can’t praise this plugin enough. It’s takes developing templates for TXP to the next level of awesome. ℠ (That should be the cnk_versioning slogan.)

Last edited by johnstephens (2009-02-19 21:53:17)

Offline

#48 2009-02-20 23:50:45

sthmtc
Member
From: CGN, GER
Registered: 2005-01-17
Posts: 586
Website

Re: [plugin] [ORPHAN] cnk_versioning

johnstephens wrote:

Edit: I can’t praise this plugin enough. It’s takes developing templates for TXP to the next level of awesome. ℠ (That should be the cnk_versioning slogan.)

co-signed.

Offline

#49 2009-02-22 17:17:15

chriloi
Plugin Author
From: Vienna, Austria
Registered: 2006-01-17
Posts: 120
Website

Re: [plugin] [ORPHAN] cnk_versioning

the_ghost schrieb:

Spent an hour untill didn’t checked this thread and recognized – it doesn’t work in php4 :( Does supporting for php4 needs a lot of code rewrite?

The plugin uses the glob function, which is only implemented in php version 4.3.0 and greater. So this is something that can be solved quite easily. I hope I can release an update the next days. ;)

Offline

#50 2009-02-22 18:55:55

ruud
Developer emeritus
From: a galaxy far far away
Registered: 2006-06-04
Posts: 5,068
Website

Re: [plugin] [ORPHAN] cnk_versioning

TXP requires PHP 4.3 or higher, so that shouldn’t be a problem.

Offline

Board footer

Powered by FluxBB